> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://reference.flatfile.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://reference.flatfile.com/_mcp/server.

# List events

GET https://api.x.flatfile.com/v1/events

Event topics that the Flatfile Platform emits.

Reference: https://reference.flatfile.com/api-reference/events/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `environmentId` (string, optional) — Filter by environment
- `spaceId` (string, optional) — Filter by space
- `domain` (string, optional) — Filter by event domain
- `topic` (string, optional) — Filter by event topic
- `since` (datetime, optional) — Filter by event timestamp
- `pageSize` (integer, optional) — Number of results to return in a page (default 10)
- `pageNumber` (integer, optional) — Based on pageSize, which page of results to return
- `includeAcknowledged` (boolean, optional) — Include acknowledged events

## Response

### 200

- `data` (list of Event, required)

## Types

### Event

An event that tracks an activity within an environment

- `topic`: `agent:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `agent:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `agent:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `space:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `space:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `space:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `space:archived`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `space:expired`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `space:guestAdded`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `space:guestRemoved`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `document:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `document:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `document:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `workbook:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `workbook:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `workbook:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `workbook:expired`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `workbook:thawed`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `flag:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `flag:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `flag:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `sheet:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `sheet:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `sheet:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `sheet:counts-updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `sheet:calculation-updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `snapshot:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `records:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `records:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `records:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `file:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `file:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `file:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `file:expired`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `job:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `job:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `job:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `job:failed`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `job:completed`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `job:ready`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `job:scheduled`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `job:outcome-acknowledged`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `job:parts-completed`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `program:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `program:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `commit:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `commit:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `commit:completed`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `secret:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `secret:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `secret:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `layer:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `environment:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `environment:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `environment:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `environment:autobuild-created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `action:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `action:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `action:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `data-clip:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `data-clip:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `data-clip:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `data-clip:collaborator-updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `data-clip:resolutions-created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `data-clip:resolutions-updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `data-clip:resolutions-refreshed`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `canvas:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `canvas:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `canvas:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `canvas-area:created`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `canvas-area:updated`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)
- `topic`: `canvas-area:deleted`
  - `context` (Context, required) — The context of the event
  - `createdAt` (datetime, required) — Date the event was created
  - `domain` (enum, required) — The domain of the event
    - Allowed values: `file`, `space`, `workbook`, `flag`, `job`, `document`, `sheet`, `program`, `secret`, `cron`, `environment`, `data-clip`, `canvas`, `canvas-area`, `thread`
  - `id` (string, required) — Event ID
  - `payload` (map from string to any, required)
  - `acknowledgedAt` (datetime, optional) — Date the event was acknowledged
  - `acknowledgedBy` (string, optional) — The actor (user or system) who acknowledged the event
  - `attributes` (EventAttributes, optional) — The attributes of the event
  - `callbackUrl` (string, optional) — The callback url to acknowledge the event
  - `dataUrl` (string, optional) — The url to retrieve the data associated with the event
  - `deletedAt` (datetime, optional) — Date the event was deleted
  - `namespaces` (list of string, optional)
  - `origin` (Origin, optional) — The origin resource of the event
  - `target` (string, optional)

### Context

The context of the event

- `accountId` (string, required) — Account ID
- `environmentId` (string, required) — Environment ID
- `namespaces` (list of string, optional) — The namespaces of the event
- `slugs` (EventContextSlugs, optional) — The slugs of related resources
- `actionName` (string, optional) — Name of an action
- `spaceId` (string, optional) — Space ID
- `workbookId` (string, optional) — Workbook ID
- `sheetId` (string, optional) — Sheet ID
- `sheetSlug` (string, optional) — Sheet Slug
- `snapshotId` (string, optional) — Snapshot ID
- `commitId` (string, optional) — Commit ID
- `jobId` (string, optional) — Pipeline Job ID
- `programId` (string, optional) — Mapping Program ID
- `fileId` (string, optional) — File ID
- `documentId` (string, optional) — Document ID
- `precedingEventId` (string, optional) — Event ID
- `actorId` (string, optional) — Can be a UserId, GuestId, or AgentId
- `appId` (string, optional) — App ID
- `actionId` (string, optional) — Action ID
- `dataClipId` (string, optional) — Data Clip ID
- `threadId` (string, optional) — Thread ID
- `filters` (map from string to string, optional)
- `entityId` (string, optional)
- `versionId` (string, optional, deprecated) — Deprecated, use `commitId` instead.

### EventAttributes

The attributes of the event

- `targetUpdatedAt` (datetime, optional) — Date the related entity was last updated
- `progress` (Progress, optional) — The progress of the event within a collection of iterable events

### Origin

The origin resource of the event

- `id` (string, optional)
- `slug` (string, optional)

### EventContextSlugs

- `space` (string, optional) — The slug of the space
- `workbook` (string, optional) — The slug of the workbook
- `sheet` (string, optional) — The slug of the sheet

### Progress

The progress of the event within a collection of iterable events

- `current` (integer, optional) — The current progress of the event
- `total` (integer, optional) — The total number of events in this group
- `percent` (integer, optional) — The percent complete of the event group

## Examples

**Response**

```json
{
  "data": [
    {
      "topic": "workbook:updated",
      "context": {
        "accountId": "us_acc_YOUR_ID",
        "environmentId": "us_env_YOUR_ID",
        "spaceId": "us_sp_YOUR_ID",
        "workbookId": "us_wb_YOUR_ID",
        "actorId": "us_key_SOME_KEY"
      },
      "createdAt": "2023-11-07T20:46:04.300Z",
      "domain": "workbook",
      "id": "us_evt_YOUR_ID",
      "payload": {
        "recordsAdded": 100
      },
      "callbackUrl": "",
      "dataUrl": "",
      "namespaces": [
        "workbook"
      ],
      "origin": {
        "id": "us_wb_YOUR_ID"
      }
    }
  ]
}
```

**SDK Code**

```python Example0
import requests

url = "https://api.x.flatfile.com/v1/events"

headers = {
    "X-Disable-Hooks": "true",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```typescript Example0
import { FlatfileClient } from "@flatfile/api";

const client = new FlatfileClient({ token: "YOUR_TOKEN" });
await client.events.list();

```

```go Example0
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.x.flatfile.com/v1/events"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Disable-Hooks", "true")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example0
require 'uri'
require 'net/http'

url = URI("https://api.x.flatfile.com/v1/events")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Disable-Hooks"] = 'true'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example0
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.x.flatfile.com/v1/events")
  .header("X-Disable-Hooks", "true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example0
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.x.flatfile.com/v1/events', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Disable-Hooks' => 'true',
  ],
]);

echo $response->getBody();
```

```csharp Example0
using RestSharp;

var client = new RestClient("https://api.x.flatfile.com/v1/events");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Disable-Hooks", "true");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example0
import Foundation

let headers = [
  "X-Disable-Hooks": "true",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.x.flatfile.com/v1/events")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```